# repo containing configs and scripts to set up a box

### prerequisites
- git is installed (to clone repo below, consider adding logic to handle automatically)
- zsh is installed (scripts are written for zsh)
    - ensure ZDOTDIR is set in a persistent way for system (not just setup scripts)
    - current approach: add `export ZDOTDIR="$HOME/.config/zsh"` to `/etc/zshenv`
- export the env var `BOX_SETUP_OS` to indicate the operating system
    - options defined in `set_env_vars` file
- if on macOS, install [homebrew](https://brew.sh/)
- ensure sudo access is configured for the current user (2025-01-27, not needed on macos)

### script run
- git clone this repo
- from the repo's root directory, run `./box_setup`

### todo items
- review primeagen's runs dir
- nvim config
- consider: optional vim config as a backup?
- decide on and implement approach for languages and versioning
    - docker? or alternatives like podman? any license concerns?
    - asdf, or language-specific version managers?
    - hybrid of the above?
